Subject: RE: [GMPLS-OPS]: RE: Control plane and data plane adjacency

From: "Gowda, Sidde" <[email-masked]>
Date: Wed, 17 Apr 2002 00:12:07 -0700

Hi

Signalling protocol like LDP. LDP module will have LIB. 
The forwarding plane will also have a copy of it (LIB cache)

---------------------------------------
 RSVP TE <------->LIB<-------->LDP CR
--|------------------------------------
  |                      TCP/UDP
  |                      -------
 \|/                     IP
---------------------------------------
 LIB cache<------->MPLS forwarder
---------------------------------------

siddu

-----Original Message-----
From: sushantm [mailto:[email-masked]]
Sent: Tuesday, April 16, 2002 2:51 PM
To: Gowda, Sidde; John Ellson
Cc: [email-masked]; [email-masked]
Subject: RE: [GMPLS-OPS]: RE: Control plane and data plane adjacency
Importance: High

Hi Siddu,

Who builds the forwarding information of the Data plane in the control
plane.
OSPF collects all TED information but does not implement any SPF algorithm
as these information
are opaque LSA. This info used by CSPF to generate ERO objects. But as such
Data plane routing
information is not available in the control plane.

Regards,
Sushanth
-----Original Message-----
From: Gowda, Sidde [mailto:[email-masked]]
Sent: Tuesday, April 16, 2002 12:43 PM
To: 'sushantm'; John Ellson
Cc: [email-masked]; [email-masked]
Subject: RE: [GMPLS-OPS]: RE: Control plane and data plane adjacency

Hi,

A copy of the forwarding information built in the control plane should be
available in the data plane too.
Data plane contain the forwarding table. You get the next hop and outgoing
interface from this table.
Does this help you?

Siddu

-----Original Message-----
From: sushantm [mailto:[email-masked]]
Sent: Tuesday, April 16, 2002 11:09 AM
To: John Ellson
Cc: [email-masked]; [email-masked]
Subject: [GMPLS-OPS]: RE: Control plane and data plane adjacency
Importance: High

Hi John,
You wrote:
"
Not sure why you want data plane routing information, but the next system
IP address will presumably be found from a DNS lookup, just like any
other data network conection.
"
I don't know whether I made myself clear. The issue here is not to get the
IP addr of the system,
but to find out the system.

Lets assume the OCX1 is got more than one neigbhor OCX2,OCX4,OXC5,OXC5. OXC2
neigbhor is OXC3.
The LSP has to be setup from OXC1 to OXC3. If RSVP signaling is used I would
forward this message to R1
( This information I would get from the routing table). In the Path message,
I need fill up the IF_ID
information, which contains the Data channel identifier. At OXC1 there may
be many data channels connected
many neigbors. I have to choose a data channel Id , which is connected to
OXC2. How does the OXC1 takes
decision. The OXC1 can take this decision only if it is aware of the data
plane topology. Is this problem
addressed ?

As you have said
"
If optical-routing information needs to be processed by a routing
application at OX2,
then the messages will be addressed to "ox2.my.net" (or whatever).  From
there
the routing application will do its thing and may send additional
messages to OX3.   i.e. its an application level forwarding problem, not
a level 3 data-forwarding.
"
The message should be addressed to OXC2 for setting up a LSP between OXC1
and OXC3.
How does OXC1 decides this?

Regarding Your second part of your answer, Is this the standard way of
Implementation.There can be other
way of Implementation. And if it is not standard way, then Interoperability
would be an issue.

Regards,
Sushanth

-----Original Message-----
From: John Ellson [mailto:[email-masked]]
Sent: Monday, April 15, 2002 10:05 PM
To: sushantm
Cc: [email-masked]; [email-masked]
Subject: Re: Control plane and data plane adjacency

sushantm wrote:
> Hi,
>
> I have few doubts regarding control channel adjacency being different from
> the data channel
> adjacency
>
> Suppose,take a case as shown in the figure
>
> 		      +---(R1)---(R2)----+  +---(R3)---(R4)----+
> 		      |       	       |  |	                 |
> 		      |		       |  |		           |
> 		      |       	       |  |	                 |
> 		      |		       |  |                  |
>        +----------+---+          +---+--+-----+         +--+---------+
>        |              +----------+            +---------+            |
>        |              +----------+            +---------+            |
>        |    OXC1      +----------+     OXC2   +---------+     OXC3   |
>        |              +----------+            +---------+            |
>        |              |          |            |         |            |
>        +--------------+          +------------+         +------------+
>
> R1,R2,R3,R4 - Router provding the control channel adajceny
>
> In this case  OXC1-OXC2 control channel adjaceny is
> OXC1-R1-R2-OXC2.Similarly between OXC2 and
> OXC3 thro R3 and R4.
>
> Requirement is setup LSP between OXC1 and OXC3.
>
> 1.
> Routing table would provide me Next hop information in the control plane.
> How do we get the
> information about the Next hop Node in the Dataplane. LMP will provide me
> with information,
> for instance,at OXC2 what are the dataplane adjacent nodes, but will not
> provide me with data
> plane routing information. How do OXC1 knows to select OXC2 for the LSP
> setup, where OXC1 could
> have been connected to more than one neighbors.
>
> From where do I get the Data plane route information?

Not sure why you want data plane routing information, but the next system
IP address will presumably be found from a DNS lookup, just like any
other data network conection.

> 2.
> Suppose R2 had connection to OXC2 as well as OXC3.
> Then the signaling information received at R3 will be forwarded directly
to
> OX3 without getting
> processed at OXC2, which is not correct. How do we take care of this
> problem. The [GMPLS-SIG] or
> [GMPLS-RSVP] does not discuss this issue. Is there any references to this
> issue.

If optical-routing information needs to be processed by a routing
application at OX2,
then the messages will be addressed to "ox2.my.net" (or whatever).  From
there
the routing application will do its thing and may send additional
messages to OX3.   i.e. its an application level forwarding problem, not
a level 3 data-forwarding.

John Ellson

-------
The GMPLS-OPS Mailing List
Subscribe/Unsubscribe:  http://www.mplsrc.com/gmpls-ops.shtml

-------
The GMPLS-OPS Mailing List
Subscribe/Unsubscribe:  http://www.mplsrc.com/gmpls-ops.shtml